﻿@using System.Web.UI.WebControls
@using System;
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Collections.Generic;
@using Portal.Models.LPOPConsolidation;
@using System.Data;
@using Portal.Controllers; 
@using Portal.Models.Supplier;
@using Portal.Models.Globals;
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@section Style{
}
@section StyleReferences {
<link href="@Url.Content("~/Content/style/PriceConfirmation.css")" rel="stylesheet" type="text/css" />
}
@section Script {
window.__base =  @Html.Raw(HttpUtility.JavaScriptStringEncode(
                new Uri(
                   new Uri(this.Context.Request.Url.GetLeftPart(UriPartial.Authority)),
                   Url.Content("~/")
               ).ToString(), true));
var __mew = window.location.href.split("/")[0]; 
var __meb = window.__base.split("/")[0];
if (__mew !== __meb) 
    window.__base = window.__base.replace(__meb, __mew); 
var FullName ;
window.CoverLetterTemplate = '@ViewData["CoverLetter"]'; 
window.CategoryList = JSON.parse(decodeURIComponent('@ViewData["CategoryList"]'.replaceAll("&quot;", '"') ));
}
@section ScriptReferences{
<script type="text/javascript" src="@Url.Content("~/Scripts/Common/messaging.js")"></script>
<script type="text/javascript" src="@Url.Content("~/Scripts/jquery.dateFormat.js")"></script>
<script type="text/javascript" src="@Url.Content("~/Content/js/PriceConfirmation.js")"></script>
}

@Html.Action("PartialHeader", "PriceConfirmation")
@Html.Partial("OpButtons")
<div>
    @Html.Action("PartialDetail", "PriceConfirmation")
</div>

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupNew";
    settings.HeaderText = "Price Confirmation Header";
    // settings.Width = Unit.Pixel(500);
   
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(50);
    settings.SetContent(() =>
    {
        Html.RenderAction("PopupNew", "PriceConfirmation");
    });
}).GetHtml()

